/**
  *  \file ui/widgets/richstatic.h
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_RICHSTATIC_H
#define PCC_V2_UI_WIDGETS_RICHSTATIC_H

#include "ui/richtext.h"
#include "ui/richdocument.h"

class UIRichStatic : public UIWidget {
 public:
    UIRichStatic(const RichText& text, int width);
    ~UIRichStatic();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& li);
    void setText(const RichText& text);

 private:
    RichText text;
    int width;

    RichDocument doc;
};

#endif
