/**
  *  \file client/tiles.h
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_H
#define PCC_V2_CLIENT_TILES_H

#include "cpluslib/object.h"
#include "cpluslib/string.h"

class WTile;
class GObjectSelection;

class WTileContainer : public Object {
 public:
    virtual void addNewTile(WTile*) = 0;
};

WTile* createTile(string_t name, GObjectSelection& selection);

void createTileLayout(WTileContainer& container, string_t layoutName, GObjectSelection& selection);

#endif
